# Installation
> `npm install --save @types/unordered-array-remove`

# Summary
This package contains type definitions for unordered-array-remove (https://github.com/mafintosh/unordered-array-remove).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/unordered-array-remove.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/unordered-array-remove/index.d.ts)
````ts
export = arrayRemove;

/**
 * Efficiently remove an element from an unordered array without doing a splice.
 *
 * This works by popping the last element (which is fast because it doesn't need
 * shift all array elements) and overwriting the removed index with this element.
 *
 * @param array The array to remove the element at index.
 * @param index The index to remove the element at.
 * @returns The removed element or `undefined` in case the index was out of bounds.
 *
 * @example
 * import remove = require('unordered-array-remove');
 *
 * const list = ['a', 'b', 'c', 'd', 'e'];
 * remove(list, 2); // remove 'c'
 * console.log(list); // returns ['a', 'b', 'e', 'd'] (no 'c')
 */
declare function arrayRemove<T>(array: T[], index: number): T | undefined;

````

### Additional Details
 * Last updated: Wed, 18 Oct 2023 11:45:07 GMT
 * Dependencies: none

# Credits
These definitions were written by [BendingBender](https://github.com/BendingBender).
